Bug 432293 - missing 3 requires
missing 3 requires
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: conduit (Show other bugs)
8
All Linux
high Severity low
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 19:03 EST by Chitlesh GOORAH
Modified: 2008-07-10 21:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.3.11.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-10 21:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-02-10 19:03:28 EST
Description of problem:
conduit is missing 3 requires thus making it lose some of its features:
- google calendar sync
- fspot photos sync

The missing 3 requires are:
- python-gdata (for google calendar)
- redhat-lsb (for /usr/bin/conduit) since we are not ubuntu
- python-sqlite2 (for fspot photos)


Version-Release number of selected component (if applicable):
conduit-0.3.4-2.fc8

How reproducible:
Everytime

It would be nice to have this bug corrected and push to stable as soon as possible.
Comment 1 Bernard Johnson 2008-02-11 20:54:54 EST
(In reply to comment #0)
> - redhat-lsb (for /usr/bin/conduit) since we are not ubuntu

Can you provide further information.  I'm not sure I understand what you are
reporting as a bug.

Comment 2 Chitlesh GOORAH 2008-02-12 06:58:10 EST
uninstall redhat-lsb if you have installed it !

chitlesh(~)[0]$rpm -q redhat-lsb
package redhat-lsb is not installed

then launch conduit from the konsole, you will see

/usr/bin/conduit: line 5: lsb_release: command not found

chitlesh(~)[0]$rpm -qf /usr/bin/lsb_release
redhat-lsb-3.1-19.fc8
Comment 3 Chitlesh GOORAH 2008-02-12 06:59:06 EST
do a
cat /usr/bin/conduit

for more details.
Comment 4 Bernard Johnson 2008-02-17 13:08:15 EST
(In reply to comment #3)
> do a
> cat /usr/bin/conduit
> 
> for more details.

Seems harmless, and newer versions don't have that anyway.

Will definitely be adding python-gdata (it was already in the plans).

Haven't had a chance to look into python-sqlite2 dependencies yet.

Comment 5 Fedora Update System 2008-02-24 19:25:42 EST
conduit-0.3.8-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-02-25 19:25:54 EST
conduit-0.3.8-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update conduit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1972

Note You need to log in before you can comment on or make changes to this bug.